
From: Christoph Hellwig <hch@lst.de>

ACKed by the pmac folks a while ago.  Also moves the Kconfig entry to where
it belongs.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/block/Kconfig        |    7 +++++++
 25-akpm/drivers/macintosh/Kconfig    |    7 -------
 25-akpm/drivers/macintosh/mediabay.c |    1 +
 3 files changed, 8 insertions(+), 7 deletions(-)

diff -puN drivers/block/Kconfig~modular-swim3 drivers/block/Kconfig
--- 25/drivers/block/Kconfig~modular-swim3	Thu Jul 29 15:12:25 2004
+++ 25-akpm/drivers/block/Kconfig	Thu Jul 29 15:12:25 2004
@@ -33,6 +33,13 @@ config BLK_DEV_SWIM_IOP
 	  Say Y here to support the SWIM (Super Woz Integrated Machine) IOP
 	  floppy controller on the Macintosh IIfx and Quadra 900/950.
 
+config MAC_FLOPPY
+	tristate "Support for PowerMac floppy"
+	depends on PPC_PMAC && !PPC_PMAC64
+	help
+	  If you have a SWIM-3 (Super Woz Integrated Machine 3; from Apple)
+	  floppy controller, say Y here. Most commonly found in PowerMacs.
+
 config BLK_DEV_PS2
 	tristate "PS/2 ESDI hard disk support"
 	depends on MCA && MCA_LEGACY
diff -puN drivers/macintosh/Kconfig~modular-swim3 drivers/macintosh/Kconfig
--- 25/drivers/macintosh/Kconfig~modular-swim3	Thu Jul 29 15:12:25 2004
+++ 25-akpm/drivers/macintosh/Kconfig	Thu Jul 29 15:12:25 2004
@@ -118,13 +118,6 @@ config PMAC_BACKLIGHT
 	  events; also, the PowerBook button device will be enabled so you can
 	  change the screen brightness.
 
-config MAC_FLOPPY
-	bool "Support for PowerMac floppy"
-	depends on PPC_PMAC && !PPC_PMAC64
-	help
-	  If you have a SWIM-3 (Super Woz Integrated Machine 3; from Apple)
-	  floppy controller, say Y here. Most commonly found in PowerMacs.
-
 config MAC_SERIAL
 	tristate "Support for PowerMac serial ports (OBSOLETE DRIVER)"
 	depends on PPC_PMAC && BROKEN
diff -puN drivers/macintosh/mediabay.c~modular-swim3 drivers/macintosh/mediabay.c
--- 25/drivers/macintosh/mediabay.c~modular-swim3	Thu Jul 29 15:12:25 2004
+++ 25-akpm/drivers/macintosh/mediabay.c	Thu Jul 29 15:12:25 2004
@@ -435,6 +435,7 @@ int __pmac check_media_bay(struct device
 #endif /* CONFIG_BLK_DEV_IDE */
 	return -ENODEV;
 }
+EXPORT_SYMBOL(check_media_bay);
 
 int __pmac check_media_bay_by_base(unsigned long base, int what)
 {
_
